Get Trackable Activity in Model

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
GET /public/v1/projects/{projectId}/models/{modelId}/activities

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • projectId integer(int64) Required
  • modelId integer(int64) Required

Responses

  • 200 */*

    OK

    Hide response attributes Show response attributes object
    • id integer(int64)
    • activityId string
    • activityType string

      Values are TaskDependent, Task, StartMilestone, FinishMilestone, or LevelOfEffort.

    • activityStatus string

      Values are FINISHED, NOT_STARTED, or STARTED.

    • deleted boolean
    • firstSeen string(date-time)
    • lastSeen string(date-time)
    • name string
    • contractualCompletionDate string(date-time)
    • scheduleIds array[integer(int64)]
    • status string

      Values are REBASELINE_REQUIRED, TRACKED, or TRACKABLE.

GET /public/v1/projects/{projectId}/models/{modelId}/activities
curl \
 --request GET 'https://live.smartpmtech.com/public/v1/projects/{projectId}/models/{modelId}/activities' \
 --header "X-API-KEY: $API_KEY" \
 --header "X-COMPANY-ID: string"
Response examples (200)
[
  {
    "id": 42,
    "activityId": "string",
    "activityType": "TaskDependent",
    "activityStatus": "FINISHED",
    "deleted": true,
    "firstSeen": "2026-05-04T09:42:00Z",
    "lastSeen": "2026-05-04T09:42:00Z",
    "name": "string",
    "contractualCompletionDate": "2026-05-04T09:42:00Z",
    "scheduleIds": [
      42
    ],
    "status": "REBASELINE_REQUIRED"
  }
]